Create Override
cURL
curl --request POST \
--url https://api.fabric.inc/v3/location-capacity \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-fabric-tenant-id: <x-fabric-tenant-id>' \
--data '
{
"locationNumber": "23",
"capacity": 30,
"schedule": {
"startDate": "2022-05-12T09:30:31Z",
"endDate": "2022-05-12T09:30:31Z"
},
"reasonCode": "holiday",
"capacityOverrideNumber": "capacityOverride1",
"notes": "Any additional info",
"createdBy": "Carl Doe",
"updatedBy": "Carl Doe"
}
'```
### Python
```python
import requests
url = "https://api.fabric.inc/v3/location-capacity"
payload = {
"locationNumber": "23",
"capacity": 30,
"schedule": {
"startDate": "2022-05-12T09:30:31Z",
"endDate": "2022-05-12T09:30:31Z"
},
"reasonCode": "holiday",
"capacityOverrideNumber": "capacityOverride1",
"notes": "Any additional info",
"createdBy": "Carl Doe",
"updatedBy": "Carl Doe"
}
headers = {
"x-fabric-tenant-id": "<x-fabric-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {
method: 'POST',
headers: {
'x-fabric-tenant-id': '<x-fabric-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
locationNumber: '23',
capacity: 30,
schedule: {startDate: '2022-05-12T09:30:31Z', endDate: '2022-05-12T09:30:31Z'},
reasonCode: 'holiday',
capacityOverrideNumber: 'capacityOverride1',
notes: 'Any additional info',
createdBy: 'Carl Doe',
updatedBy: 'Carl Doe'
})
};
fetch('https://api.fabric.inc/v3/location-capacity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fabric.inc/v3/location-capacity",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'locationNumber' => '23',
'capacity' => 30,
'schedule' => [
'startDate' => '2022-05-12T09:30:31Z',
'endDate' => '2022-05-12T09:30:31Z'
],
'reasonCode' => 'holiday',
'capacityOverrideNumber' => 'capacityOverride1',
'notes' => 'Any additional info',
'createdBy' => 'Carl Doe',
'updatedBy' => 'Carl Doe'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-fabric-tenant-id: <x-fabric-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fabric.inc/v3/location-capacity"
payload := strings.NewReader("{\n \"locationNumber\": \"23\",\n \"capacity\": 30,\n \"schedule\": {\n \"startDate\": \"2022-05-12T09:30:31Z\",\n \"endDate\": \"2022-05-12T09:30:31Z\"\n },\n \"reasonCode\": \"holiday\",\n \"capacityOverrideNumber\": \"capacityOverride1\",\n \"notes\": \"Any additional info\",\n \"createdBy\": \"Carl Doe\",\n \"updatedBy\": \"Carl Doe\"}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-fabric-tenant-id", "<x-fabric-tenant-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Unirest (Java)
HttpResponse<String> response = Unirest.post("https://api.fabric.inc/v3/location-capacity")
.header("x-fabric-tenant-id", "<x-fabric-tenant-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"locationNumber\": \"23\",\n \"capacity\": 30,\n \"schedule\": {\n \"startDate\": \"2022-05-12T09:30:31Z\",\n \"endDate\": \"2022-05-12T09:30:31Z\"\n },\n \"reasonCode\": \"holiday\",\n \"capacityOverrideNumber\": \"capacityOverride1\",\n \"notes\": \"Any additional info\",\n \"createdBy\": \"Carl Doe\",\n \"updatedBy\": \"Carl Doe\"}")
.asString();
Ruby
require 'uri'
require 'net/http'
url = URI("https://api.fabric.inc/v3/location-capacity")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-fabric-tenant-id"] = '<x-fabric-tenant-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"locationNumber\": \"23\",\n \"capacity\": 30,\n \"schedule\": {\n \"startDate\": \"2022-05-12T09:30:31Z\",\n \"endDate\": \"2022-05-12T09:30:31Z\"\n },\n \"reasonCode\": \"holiday\",\n \"capacityOverrideNumber\": \"capacityOverride1\",\n \"notes\": \"Any additional info\",\n \"createdBy\": \"Carl Doe\",\n \"updatedBy\": \"Carl Doe\"}"
response = http.request(request)
puts response.read_body
Response
Successful Creation Response (201)
{
"capacity": 30,
"schedule": {
"startDate": "2022-05-12T09:30:31Z",
"endDate": "2022-05-12T09:30:31Z"
},
"reasonCode": "holiday",
"capacityOverrideId": "9320183a01e214",
"capacityOverrideNumber": "capacityOverride1",
"locationNumber": "23",
"status": "CREATED",
"notes": "Any additional info",
"createdBy": "Carl Doe",
"createdAt": "2022-05-12T09:30:31Z",
"updatedBy": "Carl Doe",
"updatedAt": "2022-05-12T09:30:31Z",
"auditLogs": [
{
"lineItemId": "b03b72dc-78d8-4ea4-90fc-2fe6a1fe6569",
"auditId": "a05b72dc-78d8-4ea4-90fc-2fe6a1fe1111",
"auditType": "CANCEL",
"employeeId": 6227,
"auditedAt": "2023-03-12T09:24:54.804Z",
"source": "POS",
"reasonCode": "Scratched item",
"subReasonCode": "Scratched item",
"policyCode": "POS",
"note": "Note",
"lineItemNumber": 1,
"sku": "SKU0023",
"quantity": 1,
"amount": 2.4,
"paymentToken": {
"token": "pi_34tr6787rt",
"paymentType": "VISA"
},
"updatedFields": [
{
"fieldName": "UOM",
"fieldOriginalValue": "PK"
}
],
"attributes": {
"key": "value"
},
"isSuccess": true
}
]
}
Client Error Response (400)
{
"type": "CLIENT_ERROR",
"errorCode": "SERVICE-4003",
"message": "Mandatory param(s): `requiredField1` is/are missing",
"errors": [
{
"type": "CLIENT_ERROR",
"errorCode": "SERVICE-4002",
"message": "Invalid value(s) specified for 'requiredField.field3'",
"errors": []
}
],
"context": {
"service": "orders",
"endpoint": "POST /v3/orders"
}
}
Unauthorized Error Response (401)
{
"type": "CLIENT_ERROR",
"errorCode": "SERVICE-4001",
"message": "Unauthorized request",
"errors": [],
"context": {
"service": "orders",
"endpoint": "POST /v3/orders/OrderId_12345"
}
}
Server Error Response (500)
{
"type": "SERVER_ERROR",
"errorCode": "SERVICE-5000",
"message": "Internal server error",
"errors": [],
"context": {
"service": "inventories",
"endpoint": "POST /v3/inventories/actions/find-by-geography"
}
}
Authorizations
Authorization
- Type:
string
- In:
header
- Required: Yes
- Description: Bearer authentication header of the form
Bearer <token>, where <token> is your auth token.
Headers
x-fabric-tenant-id
- Type:
string
- Required: Yes
- Description: A header used by fabric to identify the tenant making the request.
Body
- Type:
application/json
- Description: Request payload for creating a new Capacity Override.
Request Payload
- locationNumber (required): A unique identifier for the location affected by the override.
- capacity (required): The maximum number of allocations the location can handle.
- schedule (required): The date and time range during which the override is active.
- reasonCode (required): A merchant-defined reason for applying the capacity override.
- capacityOverrideNumber (optional): A unique identifier for the capacity override.
- notes (optional): Optional field for adding supplementary information.
- createdBy (optional): Name or identifier of the user creating this override.
- updatedBy (optional): Name or identifier of the user last updating this override.
Error Responses
- 400: Client error indicating a bad request.
- 401: Unauthorized request.
- 500: Server error.